Bug 224379 - assertion failure extracting elf dependencies using rpmbuild
assertion failure extracting elf dependencies using rpmbuild
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-25 09:23 EST by Scott R. Godin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 07:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
src rpm with additional %define in place (1.77 MB, application/x-rpm)
2007-01-25 09:23 EST, Scott R. Godin
no flags Details

  None (edit)
Description Scott R. Godin 2007-01-25 09:23:56 EST
Description of problem:

build of rox-filer srpm updated with latest rox-filer sources fails to build as
an rpm, but builds fine by hand.


Version-Release number of selected component (if applicable):
4.4.2-15.2

How reproducible:
every time


Steps to Reproduce:
1. rpmbuild --rebuild rox-filer-2.5-1.src.rpm
  
Actual results:
rpmbuild: rpmfc.c:967: rpmfcELF: Assertion `s != ((void *)0)' failed.
Abort (core dumped)

Expected results:
normal rebuild of rpm src into a package.

Additional info:
discussion with jbj of #rpm produced the following additional information

<jbj> try adding this to your spec file
<jbj> %define _use_internal_dependency_generator 0
<jbj> that uses ldd instead of traversing the assertion failure in rpmfc.c

This was done, and new src.rpm (attached) builds fine with this define in place.

He suggested I try the following once the new rox-filer rpm was installed: 

<WebDragon> $ rpm -ql rox-filer | /usr/lib/rpm/rpmdeps -R
<WebDragon> rpmdeps: rpmfc.c:967: rpmfcELF: Assertion `s != ((void *)0)' failed.
<WebDragon> Abort
<WebDragon> Same thing with -P
Comment 1 Scott R. Godin 2007-01-25 09:23:59 EST
Created attachment 146545 [details]
src rpm with additional %define in place
Comment 2 Panu Matilainen 2007-08-07 07:39:11 EDT
I can't reproduce this with F7 anymore, I suppose it's fixed by newer elfutils,
possibly in FC6 already. FC5 is EOL anyway...

Note You need to log in before you can comment on or make changes to this bug.